View Issue Details

IDProjectCategoryView StatusLast Update
0004785PartDesignBugpublic2021-11-15 14:55
Reporteruwestoehr Assigned Touwestoehr  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.20 
Target Version0.20Fixed in Version0.20 
Summary0004785: UI broken for padding and pocketing direction when the base is a face
Description- select the face of a 3D object
- click the Pad button

result:
- the direction combobox does not offer to use the sketch normal nor a custom direction
- when one select an edge to be used as direction, closes the pad and reopens it, the combobox does not show it.
TagsNo tags attached.
FreeCAD InformationOS: Windows 10 Version 2009
Word size of FreeCAD: 64-bit
Version: 0.20.26359 (Git)
Build type: Release
Branch: master
Hash: 5aaf6e68b4d8e44f018724e4381a1db2b5dca3fd
Python version: 3.8.6+
Qt version: 5.15.2
Coin version: 4.0.1
OCC version: 7.5.0
Locale: German/Germany (de_DE)

Activities

uwestoehr

2021-11-13 03:55

manager   ~0016027

proposed fix: https://github.com/FreeCAD/FreeCAD/pull/5173

uwestoehr

2021-11-15 14:55

manager   ~0016029

The fix was merged: https://github.com/FreeCAD/FreeCAD/commit/838bdf93bcdc

Issue History

Date Modified Username Field Change
2021-11-12 01:41 uwestoehr New Issue
2021-11-12 01:41 uwestoehr Status new => assigned
2021-11-12 01:41 uwestoehr Assigned To => uwestoehr
2021-11-13 03:55 uwestoehr Note Added: 0016027
2021-11-15 14:55 uwestoehr Product Version 0.19 => 0.20
2021-11-15 14:55 uwestoehr Fixed in Version => 0.20
2021-11-15 14:55 uwestoehr Status assigned => resolved
2021-11-15 14:55 uwestoehr Resolution open => fixed
2021-11-15 14:55 uwestoehr Note Added: 0016029